Subcategories

Net Nanny 5.1

Posted By: bill_gates
system Requirements: Windows XP Home or Professional, Windows 2000 Professional, Windows NT 4.0 with Service Pack 4 or greater, Windows Me, Windows 98 Second Edition or Windows 98 with Service Pack 1; Pentium or AMD Athlon (K6/2 or higher) processor; 32Mb of RAM; 50 Mb free disk space; dial-up or broadband Internet connection; Internet Explorer 5 or greater. Requires Windows-based PC.

no mirrors please. .